RLOG(1)

NAME
rlog - print log messages and other information about RCS files

SYNOPSIS
rlog [ options ] file ...

DESCRIPTION
Rlog prints information about RCS files. Files ending in `,v' are RCS files, all others are working files. If a working file is given, rlog tries to find the corresponding RCS file first in directory ./RCS and then in the current directory, as explained in co (1).

Rlog prints the following information for each RCS file: RCS file name, working file name, head (i.e., the number of the latest revision on the trunk), access list, locks, symbolic names, suffix, total number of revisions, number of revisions selected for printing, and descriptive text. This is followed by entries for the selected revisions in reverse chronological order for each branch. For each revision, rlog prints revision number, author, date/time, state, number of lines added/deleted (with respect to the previous revision), locker of the revision (if any), and log message. Without options, rlog prints complete information. The options below restrict this output.

-L  ignores RCS files that have no locks set; convenient in combination with -R, -h, or -l.

-R  only prints the name of the RCS file; convenient for translating a working file name into an RCS file name.

-h  prints only RCS file name, working file name, head, access list, locks, symbolic names, and suffix.

-t  prints the same as -h, plus the descriptive text.

-ddates
    prints information about revisions with a checkin date/time in the ranges given by the semicolon-separated list of dates. A range of the form d1<d2 or d2>d1 selects the revisions that were deposited between d1 and d2, (inclusive). A range of the form <d or d> selects all revisions dated d or earlier. A range of the form d< or >d selects all revisions dated d or later. A range of the form d selects the single, latest revision dated d or earlier. The date/time strings d, d1, and d2 are in the free format explained in co (1). Quoting is normally necessary, especially for < and >. Note that the separator is a semicolon.

-l[lockers]
    prints information about locked revisions. If the comma-separated list lockers of login names is given, only the revisions locked by the given login names are printed. If the list is omitted, all locked revisions are printed.

-rrevisions
    prints information about revisions given in the comma-separated list revisions of revisions and ranges. A range rev1-rev2 means revisions rev1 to rev2 on the same branch, -rev means revisions from the beginning of the branch up to and including rev, and rev- means revisions starting with rev to the end of the branch containing rev. An argument that is a branch means all revisions on that branch. A range of branches means all revisions on the branches in that range.

-sstates
    prints information about revisions whose state attributes match one of the states given in the comma-separated list states.

-w[logins]
    prints information about revisions checked in by users with login names appearing in the comma-separated list logins. If logins is omitted, the user's login is assumed.

Rlog prints the intersection of the revisions selected with the options -d, -l, -s, -w, intersected with the union of the revisions selected by -b and -r.

EXAMPLES

	rlog  -L  -R  RCS/*,v
	rlog  -L  -h  RCS/*,v
	rlog  -L  -l  RCS/*,v
	rlog  RCS/*,v

The first command prints the names of all RCS files in the subdirectory `RCS' which have locks. The second command prints the headers of those files, and the third prints the headers plus the log messages of the locked revisions. The last command prints complete information.

DIAGNOSTICS
The exit status always refers to the last RCS file operated upon, and is 0 if the operation was successful, 1 otherwise.

IDENTIFICATION
Author: Walter F. Tichy, Purdue University, West Lafayette, IN, 47907.

Revision Number: ; Release Date: .

Copyright © 1982 by Walter F. Tichy.

SEE ALSO
ci (1), co (1), ident(1), rcs (1), rcsdiff (1), rcsintro (1), rcsmerge (1), rcsfile (5), sccstorcs (8).

Walter F. Tichy, "Design, Implementation, and Evaluation of a Revision Control System," in Proceedings of the 6th International Conference on Software Engineering, IEEE, Tokyo, Sept. 1982.

BUGS